Update record
curl --request PUT \
--url https://api.getcargo.io/v1/storage/records/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"modelUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"data": {}
}
'import requests
url = "https://api.getcargo.io/v1/storage/records/update"
payload = {
"modelUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({modelUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', id: '<string>', data: {}})
};
fetch('https://api.getcargo.io/v1/storage/records/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"record": {}
}Storage - Records
Update record
Update a single row. Body: ; data is merged then id is set under the model id column slug.
PUT
/
storage
/
records
/
update
Update record
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Shape: { modelUuid, id, data }. data is merged then id is applied under the model id column slug.
Target model.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Record identifier; merged into the payload under the model id column slug (overrides the same key in data).
Minimum string length:
1Fields to update for the row.
Show child attributes
Show child attributes
Response
Successful response
Updated record as returned by storage.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

